#!/bin/bash
# reboots.mod.sh
# A dulog module
# Spots (linux boxen) reboots.
# by Icon Riabitsev <icon@phy.duke.edu>
#
# $Id: reboots.mod.sh,v 1.2 2001/08/15 01:20:26 icon Exp $
#
WORKPREFIX="$TMPPREFIX.reboots"

egrep "kernel: Linux version" $LOGCAT > $WORKPREFIX.1
if [ -s $WORKPREFIX.1 ]; then
 sed "s/.* \([^[:space:]]*\) kernel:.*/\1/g; s|/.*||g" $WORKPREFIX.1 | sort | uniq >> $WORKPREFIX.report
 echo -e "\nSPOTTED REBOOTS\n------------------" >> $LOGREPORT
 cat $WORKPREFIX.report >> $LOGREPORT
fi

