#!/usr/bin/perl
# imp.mod.pl
# a dulog module
#
# $Id: imp.mod.pl,v 1.1 2001/08/21 03:48:06 icon Exp $
#

#get the files
$logcat="$ENV{LOGCAT}";
$report="$ENV{LOGREPORT}";

#open them :)
open(in, "$logcat");
@log=<in>;
close(in);
open(out, ">>$report");

my @failure;
my @success;
my @notimp;
foreach $line (@log) {
 if ($line =~ /IMP.*\:.*Login/) {
   push @success, $line;
 } elsif ($line =~ /IMP.*\:.*FAILED/) {
   push @failure, $line;
 } else {
  push @notimp, $line;
 }
}

#print out the type of logins that have occurred if any have occurred
if ((@failure) || (@success)) {
print out "\nIMP Activity\n---------------------\n";
  foreach my $login (@failure) {
    my @logline=split(/\s/, $login);
    print out "failed login by $logline[10] from " . &gethostdatabyaddr($logline[6]) . "\n";
  }
  foreach my $login (@success) {
    my @logline=split(/\s/, $login);
    print out "login by $logline[10] from " . &gethostdatabyaddr($logline[6]) . "\n";
  }
}

close(out);

if(defined($ENV{WEED})) {
 open(logdone, ">$logcat");
 foreach $line (@notimp) {
  print logdone "$line";
 }
 close(logdone);
}


sub gethostdatabyaddr {
 #takes ip address as argument - returns name or whatever.
 my @inaddr=split(/\./, $_[0]); 
 my ($name, $aliases, $addrtype, $length, @addrs);

 ($name,$aliases,$addrtype,$length,@addrs) = gethostbyaddr((pack("C4","$inaddr[0]","$inaddr[1]","$inaddr[2]","$inaddr[3]"), 2));
 #if we've got nothing then return the ip
 if (defined($name)) {
  return ($name);
 } else {
  return ($_[0]);
 }
}
